Subject: git svn rebase problem

From: "David H. Lynch J.r" <[email-masked]>
Date: Fri, 15 May 2009 17:21:09 -0400

For some time I am using git svn to manage a local copy of a remote svn
repository.

The svn repository has no branches.

A few days ago I did an
git svn rebase

The rebase took a while and after it completed reported
fatal: bad object HEAD

git status reports
root@hp-dhlii:/usr/src/pico/git# git status
# Not currently on any branch.
fatal: bad object HEAD

and git fsck reports
root@hp-dhlii:/usr/src/pico/git# git fsck
dangling blob eb3afb4aa3aaf0003bac601a5db4fd76aafa2a87
dangling commit 5c496db25007c17c325f294bb8324097c9bc407d

How can I recover without downloading the entire repository again which
could take days?